## MbimProxy MbimProxy |

## Functions

MbimProxy * | mbim_proxy_new ()
guint | mbim_proxy_get_n_clients ()
guint | mbim_proxy_get_n_devices ()

## Properties

guint | mbim-proxy-n-clients | Read
guint | mbim-proxy-n-devices | Read

## Types and Values

#define | MBIM_PROXY_SOCKET_PATH
#define | MBIM_PROXY_N_CLIENTS
#define | MBIM_PROXY_N_DEVICES
struct | MbimProxy

## Object Hierarchy

        GObject
        ╰── MbimProxy

## Description

## Functions

### mbim_proxy_new ()

    MbimProxy *
    mbim_proxy_new (GError **error);

### mbim_proxy_get_n_clients ()

    guint
    mbim_proxy_get_n_clients (MbimProxy *self);

Get the number of clients currently connected to the proxy.

#### Parameters

self | a MbimProxy. |

#### Returns

a guint.

### mbim_proxy_get_n_devices ()

    guint
    mbim_proxy_get_n_devices (MbimProxy *self);

Get the number of devices currently connected to the proxy.

#### Parameters

self | a MbimProxy. |

#### Returns

a guint.

## Types and Values

### MBIM_PROXY_SOCKET_PATH

    #define MBIM_PROXY_SOCKET_PATH "mbim-proxy"

### MBIM_PROXY_N_CLIENTS

    #define MBIM_PROXY_N_CLIENTS   "mbim-proxy-n-clients"

### MBIM_PROXY_N_DEVICES

    #define MBIM_PROXY_N_DEVICES   "mbim-proxy-n-devices"

### struct MbimProxy

    struct MbimProxy;

## Property Details

### The `“mbim-proxy-n-clients”` property

      “mbim-proxy-n-clients”     guint

Number of clients currently connected to the proxy.

Flags: Read

Default value: 0

### The `“mbim-proxy-n-devices”` property

      “mbim-proxy-n-devices”     guint

Number of devices currently managed by the proxy.

Flags: Read

Default value: 0